<?php
# -- BEGIN LICENSE BLOCK ----------------------------------
#
# This file is part of ePUBmaker, a plugin for Dotclear 2.
# 
# Copyright (c) 2012 Osku and contributors
# Licensed under the GPL version 2.0 license.
# See LICENSE file or
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
#
# -- END LICENSE BLOCK ------------------------------------
if (!defined('DC_CONTEXT_ADMIN')) { return; }

if (version_compare(DC_VERSION,'2.9','<')) {
	$core->error->add(sprintf(__('Dotclear version 2.9 minimum is required.ePUBmaker is deactivated')));
	$core->plugins->deactivateModule('ePUBmaker');
	return false;
}

$version = $core->plugins->moduleInfo('ePUBmaker','version');

if (version_compare($core->getVersion('ePUBmaker'),$version,'>=')){
	return;
}

$s =& $core->blog->settings;
$s->addNameSpace('epubmaker');
$s->epubmaker->put('flag',false,'boolean','ePUBmaker activation flag',true,true);
$s->epubmaker->put('images',false,'boolean','ePUB with images',true,true);
$s->epubmaker->put('dir','','string','ePUB working files directory',true,true);
$s->epubmaker->put('repo','','string','ePUB files destination directory',true,true);


$core->setVersion('ePUBmaker',$version);
return true;
?>